gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecValueArray

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for `ValueArray` properties.

Synopsis

- newtype ParamSpecValueArray = ParamSpecValueArray (ManagedPtr ParamSpecValueArray)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecValueArray o) => IsParamSpecValueArray o
- toParamSpecValueArray :: (MonadIO m, IsParamSpecValueArray o) => o -> m ParamSpecValueArray

# Exported types

newtype ParamSpecValueArray Source #

Memory-managed wrapper type.

Constructors

ParamSpecValueArray (ManagedPtr ParamSpecValueArray) |

#### Instances

Instances details

Eq ParamSpecValueArray Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecValueArray Methods (==) :: ParamSpecValueArray -> ParamSpecValueArray -> Bool Source # (/=) :: ParamSpecValueArray -> ParamSpecValueArray -> Bool Source #
BoxedPtr ParamSpecValueArray Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecValueArray Methods boxedPtrCopy :: ParamSpecValueArray -> IO ParamSpecValueArray Source # boxedPtrFree :: ParamSpecValueArray -> IO () Source #
ManagedPtrNewtype ParamSpecValueArray Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecValueArray Methods toManagedPtr :: ParamSpecValueArray -> ManagedPtr ParamSpecValueArray Source #
TypedObject ParamSpecValueArray Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecValueArray Methods glibType :: IO GType Source #
HasParentTypes ParamSpecValueArray Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecValueArray
type ParentTypes ParamSpecValueArray Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecValueArray type ParentTypes ParamSpecValueArray = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecValueArray o) => IsParamSpecValueArray o Source #

Type class for types which can be safely cast to `ParamSpecValueArray`, for instance with `toParamSpecValueArray`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecValueArray o) => IsParamSpecValueArray o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecValueArray

toParamSpecValueArray :: (MonadIO m, IsParamSpecValueArray o) => o -> m ParamSpecValueArray Source #

Cast to `ParamSpecValueArray`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.